summaryrefslogtreecommitdiff
path: root/recipes-bsp/multitech/mts-io/mts-io.init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-bsp/multitech/mts-io/mts-io.init')
-rwxr-xr-xrecipes-bsp/multitech/mts-io/mts-io.init6
1 files changed, 3 insertions, 3 deletions
diff --git a/recipes-bsp/multitech/mts-io/mts-io.init b/recipes-bsp/multitech/mts-io/mts-io.init
index cd93fbb..b62bcb1 100755
--- a/recipes-bsp/multitech/mts-io/mts-io.init
+++ b/recipes-bsp/multitech/mts-io/mts-io.init
@@ -131,7 +131,7 @@ reset_path() {
pin=$1
${LOGDBG} -t "mts-io" -p daemon.info Reset $pin
if [[ -f ${pin} ]] ; then
- if ! ( (echo 1 >${pin}) && ${WAIT} && (echo 0 >${pin}) && ${WAIT} && (echo 1 >${pin}) ) ; then
+ if ! ( (echo 0 >${pin}) && ${WAIT} && (echo 1 >${pin}) ) ; then
/usr/bin/logger -t "mts-io" -p daemon.error -s "Failed write to ${pin}"
return 1
fi
@@ -325,7 +325,7 @@ case $1 in
echo -n ${i2c} > /sys/module/firmware_class/parameters/path
/usr/bin/logger -t "mts-io" -p daemon.info -s "Loading mts-io module"
- if ! modprobe mts_io ; then
+ if ! modprobe mts_io "$MTS_IO_PARAMS" ; then
((fail++))
fi
# MTCDTBB driver is needed to determine the product type on MTCDT3
@@ -362,7 +362,7 @@ case $1 in
# MTCDT-0.2 has issues with resetting RS9113 twice.
# RS9113 is reset in /etc/init.d/rs9113.
# Remove for MTRV1 reset as well, as it is redundant.
- if [[ $hw_name == MTCDT ]] || [[ $hw_name == MTRV1 ]] ; then
+ if [[ $hw_name == MTCDT ]] || [[ $hw_name == MTRV1 ]] || [[ $hw_name == MTCDTIP ]] ; then
RST[${WIFIBTRESET}]="/dev/null"
fi
reset_array